Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.iso.fs
Class CardFilePathComponent

    java.lang.Object
      opencard.opt.iso.fs.CardFilePathComponent

Direct Known Subclasses:
  CardFileAppID, CardFileFileID, CardFileShortFileID, CardFileSymbolicName

    public abstract class CardFilePathComponent

extends java.lang.Object

`CardFilePathComponent` contains a single `CardFilePath` component.

Version:
  $Id: CardFilePathComponent.java,v 1.1.1.1 1999/10/05 15:08:47 damke Exp $
Author:
  Dirk Husemann (hud@zurich.ibm.com)

Field Summary
`protected java.lang.String` | `comp`

Constructor Summary
`protected` | `CardFilePathComponent()`
`protected` | `CardFilePathComponent(java.lang.String comp)` The common constructor.

Method Summary
`protected static CardFilePathComponent` | `createComponent(java.lang.String comp, int pos, java.lang.String path, int total)` Create the correct `CardFilePathComponent` object from a string.
`boolean` | `equals(java.lang.Object comp)` Two `CardFilePathComponent`s are equal if they are of the same type (an instance of `CardFilePathComponent`) and describe the same path object.
`java.lang.String` | `toString()` Overrides `Object.toString()` and returns a string representation of this component..

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### comp

    protected java.lang.String comp

Constructor Detail

### CardFilePathComponent

    protected CardFilePathComponent()

### CardFilePathComponent

    protected CardFilePathComponent(java.lang.String comp)

  The common constructor.

  Parameters:
    `comp` - The string representation of this component.

Method Detail

### createComponent

    protected static CardFilePathComponent createComponent(java.lang.String comp,
                                                           int pos,
                                                           java.lang.String path,
                                                           int total)
                                                    throws CardIOException

  Create the correct `CardFilePathComponent` object from a string.

  Parameters:
    `comp` - The component as a string.
    `pos` - The position of the component within the containing path.
  Returns:
    A single component `CardFilePath`
  Throws:
    `CardIOException` - Thrown when the component is malformed or in the wrong place.

### equals

    public boolean equals(java.lang.Object comp)

  Two `CardFilePathComponent`s are equal if they are of the same type (an instance of `CardFilePathComponent`) and describe the same path object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `comp` - An `Object` which should be of type `CardFilePathComponent`
  Returns:
    True if `comp` is of type `CardFilePathComponent` and describes the same path component.

### toString

    public java.lang.String toString()

  Overrides `Object.toString()` and returns a string representation of this component..

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD